#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	Lite
Summary:	MIME::Lite - low-calorie MIME generator
Summary(pl.UTF-8):	MIME::Lite - niskokaloryczny generator MIME
Name:		perl-MIME-Lite
Version:	3.031
Release:	1
# same as perl
License:	GPL v1+ or Artisric
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4ff72d8dd5811b8538825fca4b0f133e
URL:		http://search.cpan.org/dist/MIME-Lite/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Email-Date-Format
BuildRequires:	perl-MIME-Types
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.08
%endif
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Email-Date-Format
Suggests:	perl-MailTools
Suggests:	perl-MIME-Base64
Suggests:	perl-MIME-Types
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Lite is a simple, standalone module for generating MIME messages.

%description -l pl.UTF-8
MIME::Lite jest prostym, samodzielnym modułem służącym do generowania
wiadomości w formacie MIME.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
PERL_MM_USE_DEFAULT=yes \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# package it or not?
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/changes.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README contrib
%{perl_vendorlib}/MIME/Lite.pm
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MIME-Lite.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ef728a
- up to 3.031

* Tue Sep 25 2018 Adam Osuchowski <adwol@pld-linux.org> d330f85
- up to 3.030

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 5732a08
- up to 3.028

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 6ac28db
- updated to 3.027

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> 89f5bb6
- updated to 3.024

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e7c871
- release 2

* Thu Jul 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 2a32b11
- informative summaries
- generic URL
- unified examplesdir

* Thu Jul 24 2008 Tomasz Pala <gotar@pld-linux.org> 70d2d4c
- merge from DEVEL
- R: perl-Email-Date-Format

* Thu Jul 24 2008 Tomasz Pala <gotar@pld-linux.org> 72fc1ad
- reverted - moved to DEVEL (there's no required Email-Date-Format in PLD)

* Thu Jul 24 2008 Tomasz Pala <gotar@pld-linux.org> 5de9a0d
- up to 3.021 (fixed SMTP AUTH: http://www.perlmonks.org/?node_id=681884)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f0cb0bb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7746f69
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b815fe2
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 33551ab
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 366ee46
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> d40802d
- cosmetics: unification

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> 1cf5d55
- license fixes / unification

* Sun Sep 21 2003 Adam Gołębiowski <adamg@pld-linux.org> 652451e
- updated to 3.01

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 4cfa31a
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 20515ed
- mass commit: cosmetics (removed trailing white spaces)

